Installer - Feature #6445

External authentication via FreelPA should be configurable with foreman-installer
06/30/2014 12:07 PM - Jan Pazdziora

Status: Closed

Priority: High

Assignee: Jan Pazdziora

Category: Foreman modules

Target version: 1.6.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1118011 Red Hat JIRA:

Pull request:

Description

Foreman 1.5 brought almost complete external authentication support. However, configuring the environment (packages, Apache
modules, sssd, keytab) is manual process with many steps:

http://theforeman.org/manuals/1.5/index.html#5.7 ExternalAuthentication

The foreman-installer should make it easy to enable the external authentication via FreelPA with few command-line options.

Related issues:
Related to Installer - Feature #3710: Configure Kerberos/mod_auth_kerb with a... Resolved
Blocks Foreman - Tracker #5031: External authentication support New 04/02/2014

Associated revisions

Revision 378d6024 - 07/23/2014 05:02 AM - Jan Pazdziora

fixes #6445 - Configure external authentication via FreelPA.

Revision 84236919 - 07/30/2014 05:50 AM - Jan Pazdziora

refs #6445 - purge configuration which is no longer needed.

Revision 941a9e8e - 08/08/2014 08:11 AM - Jan Pazdziora
refs #6445 - make identity_demo work on RHEL 7 as well.

Revision 0641577 - 08/11/2014 07:03 AM - Jan Pazdziora

refs #6445 - the mod_lookup_identity-selinux is only needed (and available) in EL 6, we use httpd_dbus_sssd otherwise.

History

#1 - 06/30/2014 12:09 PM - Jan Pazdziora
- Blocks Tracker #5031: External authentication support added

#2 - 06/30/2014 12:11 PM - Dominic Cleal
- Project changed from Foreman to Installer

- Category changed from Security to Foreman modules

#3 - 06/30/2014 12:18 PM - Jan Pazdziora

Created https://github.com/theforeman/puppet-foreman/pull/199

#4 - 06/30/2014 12:21 PM - Dominic Cleal
- Status changed from New to Ready For Testing
- Assignee set to Jan Pazdziora

- Target version set to 1.8.1
http://theforeman.org/manuals/1.5/index.html#5.7ExternalAuthentication
https://github.com/theforeman/puppet-foreman/pull/199

#5 - 07/07/2014 07:26 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#6 - 07/09/2014 04:38 PM - Bryan Kearney
- Bugzilla link set to 1118011

#7 - 07/23/2014 05:02 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#8 - 07/23/2014 06:01 AM - Jan Pazdziora
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman|378d602424da89f4493767949d534b66942db8e2.

#9 - 09/01/2014 06:10 AM - Petra Kamenickova

Documentation for Foreman 1.6 has been updated via https://github.com/theforeman/theforeman.org/pull/253

#10 - 12/02/2020 05:28 PM - Ewoud Kohl van Wijngaarden
- Related to Feature #3710: Configure Kerberos/mod_auth_kerb with a keytab for Foreman web Ul added
